=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                gir1.2-gstreamer-1.0,
                gobject-introspection (>= 0.9.12-4~),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.16.1),
+               gstreamer1.0-plugins-base (>= 1.16.2),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -56,8 +56,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.16.1),
-               libgstreamer-plugins-good1.0-dev (>= 1.16.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.16.2),
+               libgstreamer-plugins-good1.0-dev (>= 1.16.2),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),
