=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DEB_DH_AUTORECONF_ARGS += --as-needed
 
 CFLAGS += -Wno-error
-CXXFLAGS += -Wno-error -std=c++11
+CXXFLAGS += -Wno-error
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 DEB_MAKE_CHECK_TARGET = check || true
 
@@ -26,6 +26,9 @@
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
 DEB_DH_BUILDDEB_ARGS = -Ngstreamer1.0-opencv -Nlibgstreamer-opencv1.0-0
 DEB_DH_GENCONTROL_ARGS = -Ngstreamer1.0-opencv -Nlibgstreamer-opencv1.0-0
+DEB_DH_INSTALL_ARGS = -Ngstreamer1.0-opencv -Nlibgstreamer-opencv1.0-0
+else
+opencv = debian/tmp/usr/share/gst-plugins-bad/$(gst_abi)/
 endif
 
 # Take account of old dpkg-architecture output.
@@ -54,7 +57,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.16.1)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.16.2)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -134,6 +137,7 @@
 		sed \
 			-e 's,@dvb@,$(dvb),g' \
 			-e 's,@decklink@,$(decklink),g' \
+			-e 's,@opencv@,$(opencv),g' \
 			-e 's,@linsys@,$(linsys),g' \
 			-e 's,@fbdev@,$(fbdev),g' \
 			-e 's,@dc1394@,$(dc1394),g' \
@@ -204,4 +208,3 @@
 	rm -r $(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/include/*/*/basecamerabinsrc \
 		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/include/*/*/interfaces/photography* \
 		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/lib/*/libgstbasecamerabinsrc* \
-		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/lib/*/libgstphotography*
