=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-(1\.[\d\.]+)\.tar\.xz
