## gst-plugins-bad1.0 1.16.3

=== debian/changelog ===
gst-plugins-bad1.0 (1.16.3-0ubuntu1.1) focal-security; urgency=medium

  [ Luís Infante da Câmara ]
  * SECURITY UPDATE: Heap buffer overflow in dvdspu (LP: #2035585)
    - debian/patches/CVE-2023-37329-1.patch: Make sure enough data is
      allocated for the available data.
    - debian/patches/CVE-2023-37329-2.patch: Avoid integer overflow when
      checking if enough data is available.
    - CVE-2023-37329

  [ Marc Deslauriers ]
  * SECURITY UPDATE: integer overflow in MXF file handling
    - debian/patches/CVE-2023-40474.patch: fix integer overflow causing out
      of bounds writes when handling invalid uncompressed video in
      gst/mxf/mxfup.c.
    - CVE-2023-40474
  * SECURITY UPDATE: integer overflow in MXF file handling
    - debian/patches/CVE-2023-40475.patch: check number of channels for
      AES3 audio in gst/mxf/mxfd10.c.
    - CVE-2023-40475
  * SECURITY UPDATE: integer overflow in H.265 video parser
    - debian/patches/CVE-2023-40476.patch: fix possible overflow using
      max_sub_layers_minus1 in gst-libs/gst/codecparsers/gsth265parser.c.
    - CVE-2023-40476
  * SECURITY UPDATE: MXF demuxer use-after-free
    - debian/patches/CVE-2023-44446.patch: store GstMXFDemuxEssenceTrack in
      their own fixed allocation in gst/mxf/mxfdemux.*.
    - CVE-2023-44446

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Nov 2023 13:33:46 -0500

gst-plugins-bad1.0 (1.16.3-0ubuntu1) focal; urgency=medium

  * Updated to upstream 1.16.3 (LP: #1962135)
    - Remove debian/patches/pcfile-requires-plugins-good (upstreamed)
    - Updated gstreamer dependencies to 1.16.3
  * Added 04_openexr_remove_override.patch which disables the C++ standard
    override check for some versions of openexr. Newer versions in focal have
    backported security patches which introduce a requirement for compiling
    with -std=c++11, rendering this check obsolete and causing a compile
    failure.

 -- Isaac True <isaac.true@canonical.com>  Wed, 02 Mar 2022 16:06:49 +0100
